<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
<xsl:template name="Entry">
  <xsl:param name="entry"/>
  <b>
  <xsl:value-of select="$entry/date/@month"/>/<xsl:value-of select="$entry/date/@day"/>/<xsl:value-of select="$entry/date/@year"/>
  <xsl:if test="$entry/headline != ''">: <xsl:value-of select="$entry/headline"/></xsl:if>
  </b>
  <br/>
  <xsl:copy-of select="$entry/body_formatted/*|$entry/body_formatted/text()"/>
</xsl:template>

<xsl:template name="Pager">
  <xsl:param name="current"/>
  <xsl:param name="total"/>
  <xsl:param name="baseurl"/>
  <xsl:variable name="seperator">
    <xsl:choose>
      <xsl:when test="contains($baseurl, '?')">&amp;</xsl:when>
      <xsl:otherwise>?</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <form name="Pager_form">
  Page <select name="page" onChange="document.location = '{$baseurl}{$seperator}page='+this.options[this.selectedIndex].value">
  <xsl:call-template name="Pager-option">
    <xsl:with-param name="current" select="$current"/>
    <xsl:with-param name="total" select="$total"/>
  </xsl:call-template>
  </select> of <xsl:value-of select="$total"/>
  </form>
</xsl:template>

<xsl:template name="Pager-option">
  <xsl:param name="num" select="'1'"/>
  <xsl:param name="current"/>
  <xsl:param name="total"/>
  <option value="{$num}">
    <xsl:if test="number($num) = number($current)">
      <xsl:attribute name="selected"/>
    </xsl:if>
    <xsl:value-of select="$num"/>
  </option>
  <xsl:if test="number($num) &lt; number($total)">
    <xsl:call-template name="Pager-option">
      <xsl:with-param name="current" select="$current"/>
      <xsl:with-param name="total" select="$total"/>
      <xsl:with-param name="num" select="number($num) + 1"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
